MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032293Open CASCADE[OCCT] OCCT:Codingpublic2021-04-10 11:052021-04-17 14:02
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032293: Coding Rules - merge GCPnts_UniformDeflection.pxx into GCPnts_UniformDeflection.cxx
DescriptionGCPnts_UniformDeflection is implemented using generic methods in GCPnts_UniformDeflection.pxx.
It is proposed replacing generic methods via C++ templates.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032285verifiedbugmaster Coding Rules - get rid of generic methods in GCPnts_TangentialDeflection 

-  Notes
(0100217)
git (administrator)
2021-04-10 11:13

Branch CR32293 has been created by kgv.

SHA-1: 76d4404494c314b8bd8c522e0d8413853b964437


Detailed log of new commits:

Author: kgv
Date: Sat Apr 10 11:13:14 2021 +0300

    0032293: Coding Rules - merge GCPnts_UniformDeflection.pxx into GCPnts_UniformDeflection.cxx
(0100218)
git (administrator)
2021-04-10 11:52

Branch CR32293 has been updated forcibly by kgv.

SHA-1: 673bba7c6b233779d41fe91647231bd65bd22e3e
(0100255)
msv (developer)
2021-04-12 19:38

Review.
(0100259)
git (administrator)
2021-04-12 23:17

Branch CR32293 has been updated forcibly by kgv.

SHA-1: 3d42fbc189955106025345ce46364afe0285b2db
(0100263)
kgv (developer)
2021-04-12 23:20

Please raise the patch
- OCCT: branch CR32293.
(0100381)
bugmaster (administrator)
2021-04-17 13:07

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100411)
git (administrator)
2021-04-17 14:02

Branch CR32293 has been deleted by inv.

SHA-1: 3d42fbc189955106025345ce46364afe0285b2db

- Related Changesets
occt: master 3d42fbc1
Timestamp: 2021-04-10 08:13:14
Author: kgv
Details ] Diff ]
0032293: Coding Rules - merge GCPnts_UniformDeflection.pxx into GCPnts_UniformDeflection.cxx
mod - src/GCPnts/FILES Diff ] File ]
mod - src/GCPnts/GCPnts_DistFunction.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_TangentialDeflection.cxx Diff ] File ]
add - src/GCPnts/GCPnts_TCurveTypes.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformDeflection.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformDeflection.hxx Diff ] File ]
rm - src/GCPnts/GCPnts_UniformDeflection.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-10 11:05 kgv New Issue
2021-04-10 11:05 kgv Assigned To => kgv
2021-04-10 11:06 kgv Summary 0032285: Coding Rules - merge GCPnts_UniformDeflection.pxx into GCPnts_UniformDeflection.cxx => Coding Rules - merge GCPnts_UniformDeflection.pxx into GCPnts_UniformDeflection.cxx
2021-04-10 11:06 kgv Relationship added related to 0032285
2021-04-10 11:13 git Note Added: 0100217
2021-04-10 11:52 git Note Added: 0100218
2021-04-12 19:38 msv Note Added: 0100255
2021-04-12 23:17 git Note Added: 0100259
2021-04-12 23:20 kgv Note Added: 0100263
2021-04-12 23:20 kgv Assigned To kgv => bugmaster
2021-04-12 23:20 kgv Status new => resolved
2021-04-12 23:21 kgv Status resolved => reviewed
2021-04-17 13:07 bugmaster Note Added: 0100381
2021-04-17 13:07 bugmaster Status reviewed => tested
2021-04-17 13:11 bugmaster Test case number => Not required
2021-04-17 13:41 kgv Changeset attached => occt master 3d42fbc1
2021-04-17 13:41 kgv Assigned To bugmaster => kgv
2021-04-17 13:41 kgv Status tested => verified
2021-04-17 13:41 kgv Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100411


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker